var TextFieldExplain = Class.create();

TextFieldExplain.prototype = {
    // コンストラクタ
    initialize: function(target, explain) {
        this.target = target;//対象となるテキストフィールド
        this.explain = explain;//説明
        this.userInputAlready = null;//ユーザの入力状態

        if (this.target.value == "") {
            this.target.style.color = "#888888";
            this.target.value = this.explain;
            this.userInputAlready = false;
            Event.observe(this.target, 'focus', this.clearExplain.bindAsEventListener(this), false);
        } else {
            this.userInputAlready = true;
        }
    },
    //説明の除去
    clearExplain: function() {
        if (this.userInputAlready == false) {
            this.target.value = "";
            this.target.style.color = "#000000";
            this.userInputAlready = true;
        }
    }
};
